<html>
<head>
<title>Torrus Plugins Documentation</title>
<link rel="stylesheet" href="../torrusdoc.css" type="text/css" />
</head>

<body>

<h1>Torrus Plugins Documentation</h1>

Torrus main distribution is accomplished with a number of plugins.
Usually a plugin is created when a feature is too specific for
generic use, or too big, or is just developed by an independent contributor.
Plugin names and documentation follow in alphabetical order.

<ul>

<li>
<strong><a href="tp-cisco-cbqos.pod.html"><code>cbqos</code>: Cisco Class-based
QoS discovery and collection</a></strong><br>

The complete solution for automated CISCO-CLASS-BASED-QOS-MIB statistics.
</li>

<li>
<strong><a href="tp-easytarget.pod.html"><code>EasyTarget</code>:
A tool for easy adding of SNMP OIDs to Torrus collector</a></strong><br>

Quick and easy tool for the situations where XML editing or discovery
module programming would not be convenient.
</li>


<li>
<strong><code>dummy</code>: Template for new plugins</strong><br>

You can use it as a starting point for your new plugins.
</li>

<li>
<strong><a href="tp-httpcollector.pod.html"><code>httpcollector</code>:
HTTP data collector</a></strong><br>

Author: Christian Schnidrig. This plugin collects data from HTTP GET queries.
</li>

<li>
<strong><a href="tp-m-net.pod.html"><code>m-net</code>:
Discovery automation for M-net.de</a></strong><br>
</li>

<li>
<strong><a href="tp-overview.pod.html"><code>overview</code>: Torrus User
interface enchancement</a></strong><br>

Author: Christian Schnidrig. This plugin adds an alternative user interface
to Torrus. The main feature is that it allows for creation of overview
pages showing counters from different parts of a tree.
</li>

<li>
<strong><a href="tp-randomcollector.pod.html"><code>randomcollector</code>:
Random collector</a></strong><br>

This plugin is designed for testing purposes only. It generates load
on your Torrus system by creating data out of random number generator.
</li>

<li>
<strong><a href="tp-rawexport.pod.html"><code>rawexport</code>:
Raw file export of collector data</a></strong><br>

The plugin allows to store the collected data in flat text files for further
processing.
</li>


<li>
<strong><a href="tp-siam.pod.html"><code>tp-siam</code>:
Service Inventory Abstraction Model plugin</a></strong><br>

The plugin binds Torrus SNMP discovery with the SIAM library (available
from CPAN).
</li>


</ul>

External plugins maintained by third parties:

<ul>
<li>
 <strong><a href="http://sourceforge.net/projects/torrusoneos/">OneAccess
 Plugin</a></strong><br>

 Monitoring of OneAccess devices
</li>

</ul>

<hr>
<p>Copyright &copy; 2002-2011 Stanislav Sinyagin
&lt;<a href="mailto:ssinyagin@yahoo.com">ssinyagin@yahoo.com</a>&gt;</p>


</body>
</html>
